Bug 61301 - up2date-2.7.11-6.x.1 - up2date -u causes download of packages but no install
up2date-2.7.11-6.x.1 - up2date -u causes download of packages but no install
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-03-16 13:07 EST by James Manning
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-17 18:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the relevant up2date calls, etc. (5.12 KB, text/plain)
2002-03-16 13:08 EST, James Manning
no flags Details

  None (edit)
Description James Manning 2002-03-16 13:07:24 EST
this was happening in bug 61119 but is definitely unrelated to the 6.2/cpan issues,
so it's getting a new report.  Simply, packages to be installed are fetched but
never installed.  This was true with the up2date -u back in bug 61119, is true
now that I've done a -Fvh to get those rpm's (but not kernel*) updated, and
is still true with --force, with and without a package parameter.  I'll attach the
log to keep the emails smaller :)  As can be seen in the upcoming attachment,
the /var/spool/up2date files that result look fine, just nothing done afterwards to
perform installation.  All the -v's in the world didn't help explain things, of course,
but I'm still looking forward to an up2date version where they'd make a difference
and would love to test anything (people/alikins?) along those lines :)
Comment 1 James Manning 2002-03-16 13:08:23 EST
Created attachment 48727 [details]
the relevant up2date calls, etc.
Comment 2 Adrian Likins 2002-03-17 18:00:41 EST
does /boot show the approriate files for those kernels (ie, did the package
get installed, but the db is hosed?)

What happens after a `rpm --rebuilddb`?

Can you install those packages manaully with rpm? If not.
whats it complain about? 

My guess is there is something that is making those package installs
fail (no space on /boot?) and rpm is silently skipping them. If you
try it with rpm dirrectly, it might throw a error message to stderr.

If thats the case, it's gonna have to wait for the next rpm and up2date 
releases (new code is being added to remove some of the cases where rpm
silently fails).
Comment 3 James Manning 2002-03-18 02:33:11 EST
fsck - not sure how it got that way, but up2date's config had retrieveOnly=1

Mother fscker.
Comment 4 Adrian Likins 2002-03-18 05:06:25 EST
It's sort of a config migration bug. 

The old style up2date that shipped in 6.2 had "retriveOnly=1" by default. When
version gets updated to the 2.x versions, it attempts to migrate the config, so
keeps that setting. 

I say "sort of a bug" because it rights because it preserves the users existing
config, but "a bug" because it's kind of stupid and annoying for the current
It seems to be more unexpected than expected.

At least, when I see "retriveOnly=1" set for 6.2 boxes, that is typically the

Note You need to log in before you can comment on or make changes to this bug.